const axios = require('axios')
const _ = require('lodash')
module.exports = class RxclassApi {
    constructor(config) {
        this.config = _.clone(config)
        this.config.baseUrl = `https://rxnav.nlm.nih.gov/REST/rxclass`
    }
    baseUrl() {
        return this.config.baseUrl
    }
    headers() {
        return this.config.headers
    }

    async classTypeList() {
        return (await axios({
            method: 'get',
            url: `${this.baseUrl()}/classTypes`,
            headers: this.headers()
        })).data

    }
    async drugClassesById(classId) {
        return (await axios({
            method: 'get',
            url: `${this.baseUrl()}/class/byId`,
            params: {classId:classId},
            headers: this.headers()
        })).data
 
    }

}